Show / Hide Table of Contents

# Struct AddonSalvageItemSelector.SalvageItem

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SalvageItem

### Fields

| Improve this Doc View Source

#### IconId

##### Declaration

    public uint IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Inventory

##### Declaration

    public InventoryType Inventory

##### Field Value

Type | Description
--- | ---
InventoryType |

| Improve this Doc View Source

#### JobIconID

##### Declaration

    public uint JobIconID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### JobNamePtr

##### Declaration

    public byte *JobNamePtr

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### NamePtr

##### Declaration

    public byte *NamePtr

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Quantity

##### Declaration

    public uint Quantity

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Slot

##### Declaration

    public int Slot

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Unknown28

##### Declaration

    public byte Unknown28

##### Field Value

Type | Description
--- | ---
System.Byte |